@import './constants.scss';

@mixin font($family, $src, $weight: false, $style: false) {
  @font-face {
    font-display: swap;
    font-family: quote($family);
    src:
      url('../assets/fonts/' + $src + '.woff') format('woff'),
      url('../assets/fonts/' + $src + '.woff2') format('woff2');

    @if ($weight) {
      font-weight: $weight;
    }

    @if ($style) {
      font-style: $style;
    }
  }
}

// Добавление шрифтов
@include font('Lexend Giga', 'LexendGiga-Regular');
@include font('Inter', 'Inter-Regular', 400);
@include font('Inter', 'Inter-Medium', 500);
@include font('Inter', 'Inter-SemiBold', 600);
@include font('Inter', 'Inter-Bold', 700);

// Переменные
$font: 'Inter', sans-serif;
$LexendGiga: 'LexendGiga', sans-serif;

// Основные элементы
html {
  font-family: $font !important;
  color: $white;
  font-size: 14px;
  font-weight: 400;
  @media (max-width: 1023px) {
    font-size: 13px;
  }
}

h1,
h2,
h3 {
  font-weight: 700;
  font-family: $font !important;
}
h1 {
  font-size: 38px;
}
h2 {
  font-size: 32px;
}

// Списки
ol,
ul {
  list-style: none;
  margin: 0;
  padding: 0;
  border: 0;
  font: inherit;
  font-size: 100%;
  vertical-align: baseline;
  font-family: $font !important;
}
input {
  font-family: $font !important;
}

@media (max-width: 1023px) {
  h1 {
    font-size: 18px;
  }
  h3 {
    font-size: 16px;
  }
  h2 {
    font-size: 18px;
  }
}
